# Derived values
%define module Net-Server
%define perlver %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary: Perl module %{module}
Name: perl-net-server
Version: 0.88
Release: 1tr
License: distributable
Group: Trustix Official
Source0: http://search.cpan.org/CPAN/authors/id/R/RH/RHANDOM/Net-Server-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: /var/tmp/%{name}-buildroot-%(id -nu)/
BuildRequires:  perl
Requires:       perl = %{perlver}
Provides:       %{module} = %{version}

%define siteperl /usr/lib/perl5/site_perl/%{perlver}

%description
%{module} module from CPAN for perl

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n %{module}-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
make

%clean 
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
%{makeinstall}

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%files
%defattr(-,root,root,0755)
%dir %{siteperl}/Net
%dir %{siteperl}/Net/Server
%dir %{siteperl}/Net/Server/Proto
%{siteperl}/Net/*.pm
%{siteperl}/Net/Server/*.pm
%{siteperl}/Net/Server/Proto/*.pm
%{_mandir}/man3/*
%doc Changes MANIFEST.SKIP MANIFEST README examples

%changelog
* Wed Jun 29 2005 Ajith Thampi <ajith at comodo dot com> 0.88-1tr
- New Upstream
- Fix syslog format vulnerability. (Carlos Velasco)  This has potential
  to break some implementations that were planning on passing all of @_
  to syslog. Now only the first item from @_ is passed as the message.
- Prevent sqlgrey-1.6.0 lockup in the call to $self->cleanup().	

* Tue Oct  5 2004 Syed Shabir <syedshabir ato comodo dot com> 0.87-1tr
- New Upstream for TSL 2.2

* Mon Mar  8 2004 Chr. Toldnes <christht at trustix dot org>
- Rebuilt for TSL 2.1

* Thu Feb 12 2004 Gerald Dachs <gda at trustix dot org> 0.86-2gd
- fixed permission on directory
- added %doc to %files section

* Fri Jan 30 2004 Erlend Midttun <erlendbm at trustix dot org>
- Initial release for Trustix based off a few others.

